[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/evolution-connector/devel evolution-connector.spec, 1.85, 1.86 evolution-exchange-2.7.2-no_gnome_common.patch, 1.1, 1.2



Author: mbarnes

Update of /cvs/dist/rpms/evolution-connector/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv12108

Modified Files:
	evolution-connector.spec 
	evolution-exchange-2.7.2-no_gnome_common.patch 
Log Message:

* Sun Jan 21 2007 Matthew Barnes <mbarnes redhat com> - 2.9.5-2.fc7
- Revise evolution-exchange-2.7.2-no_gnome_common.patch so that we no longer
  have to run autoconf before building.



Index: evolution-connector.spec
===================================================================
RCS file: /cvs/dist/rpms/evolution-connector/devel/evolution-connector.spec,v
retrieving revision 1.85
retrieving revision 1.86
diff -u -r1.85 -r1.86
--- evolution-connector.spec	9 Jan 2007 02:52:27 -0000	1.85
+++ evolution-connector.spec	22 Jan 2007 03:38:48 -0000	1.86
@@ -22,7 +22,7 @@
 
 Name: evolution-connector
 Version: 2.9.5
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: GPL
 Group: Applications/Productivity
 Summary: Evolution plugin to interact with MS Exchange Server
@@ -51,15 +51,12 @@
 
 ### Build Dependencies ###
 
-BuildRequires: autoconf >= 2.59
-BuildRequires: automake >= 1.9
 BuildRequires: evolution >= %{evo_version}
 BuildRequires: evolution-data-server-devel >= %{eds_version}
 BuildRequires: evolution-devel >= %{evo_version}
 BuildRequires: gettext
 BuildRequires: gnutls
 BuildRequires: gtk-doc
-BuildRequires: intltool >= 0.35
 BuildRequires: libsoup-devel >= %{libsoup_version}
 BuildRequires: libtool >= 1.5
 BuildRequires: openldap-evolution-devel
@@ -103,10 +100,6 @@
         -Werror-implicit-function-declaration"
 %endif
 
-# Rerun the GNU Autotools since we patched some of the input files.
-# Disable portability checking to keep automake 1.10 quiet.
-autoreconf --force --warnings=no-portability
-
 %configure \
   --enable-gtk-doc \
   --with-openldap=%{_libdir}/evolution-openldap \
@@ -145,6 +138,10 @@
 %{_sysconfdir}/gconf/schemas/apps_exchange_addressbook-%{evo_major}.schemas
 
 %changelog
+* Sun Jan 21 2007 Matthew Barnes <mbarnes redhat com> - 2.9.5-2.fc7
+- Revise evolution-exchange-2.7.2-no_gnome_common.patch so that we no longer
+  have to run autoconf before building.
+
 * Mon Jan 08 2007 Matthew Barnes <mbarnes redhat com> - 2.9.5-1.fc7
 - Update to 2.9.5
 - Remove patch for GNOME bug #357660 (fixed upstream).

evolution-exchange-2.7.2-no_gnome_common.patch:
 configure    |  135 -----------------------------------------------------------
 configure.in |    2 
 2 files changed, 137 deletions(-)

Index: evolution-exchange-2.7.2-no_gnome_common.patch
===================================================================
RCS file: /cvs/dist/rpms/evolution-connector/devel/evolution-exchange-2.7.2-no_gnome_common.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- evolution-exchange-2.7.2-no_gnome_common.patch	18 May 2006 18:18:31 -0000	1.1
+++ evolution-exchange-2.7.2-no_gnome_common.patch	22 Jan 2007 03:38:48 -0000	1.2
@@ -1,5 +1,5 @@
---- evolution-exchange-2.7.2/configure.in.no_gnome_common	2006-05-18 13:49:24.000000000 -0400
-+++ evolution-exchange-2.7.2/configure.in	2006-05-18 13:49:32.000000000 -0400
+--- evolution-exchange-2.9.5/configure.in.no_gnome_common	2007-01-08 11:50:35.000000000 -0500
++++ evolution-exchange-2.9.5/configure.in	2007-01-21 22:11:46.000000000 -0500
 @@ -95,8 +95,6 @@
  dnl CFLAGS and LIBS and stuff
  dnl *************************
@@ -9,3 +9,147 @@
  case $CFLAGS in
  *-Wall*)
  	CFLAGS="$CFLAGS -Wno-sign-compare"
+--- evolution-exchange-2.9.5/configure.no_gnome_common	2007-01-21 22:12:23.000000000 -0500
++++ evolution-exchange-2.9.5/configure	2007-01-21 22:13:03.000000000 -0500
+@@ -21924,141 +21924,6 @@
+ 
+ 
+ 
+-    # Check whether --enable-compile-warnings or --disable-compile-warnings was given.
+-if test "${enable_compile_warnings+set}" = set; then
+-  enableval="$enable_compile_warnings"
+-
+-else
+-  enable_compile_warnings="maximum"
+-fi;
+-
+-    warnCFLAGS=
+-    if test "x$GCC" != xyes; then
+-	enable_compile_warnings=no
+-    fi
+-
+-    warning_flags=
+-    realsave_CFLAGS="$CFLAGS"
+-
+-    case "$enable_compile_warnings" in
+-    no)
+-	warning_flags=
+-	;;
+-    minimum)
+-	warning_flags="-Wall"
+-	;;
+-    yes)
+-	warning_flags="-Wall -Wmissing-prototypes"
+-	;;
+-    maximum|error)
+-	warning_flags="-Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith"
+-	CFLAGS="$warning_flags $CFLAGS"
+-	for option in -Wno-sign-compare; do
+-		SAVE_CFLAGS="$CFLAGS"
+-		CFLAGS="$CFLAGS $option"
+-		echo "$as_me:$LINENO: checking whether gcc understands $option" >&5
+-echo $ECHO_N "checking whether gcc understands $option... $ECHO_C" >&6
+-		cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-int
+-main ()
+-{
+-
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+-  (eval $ac_compile) 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_c_werror_flag"
+-			 || test ! -s conftest.err'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest.$ac_objext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  has_option=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-has_option=no
+-fi
+-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+-		CFLAGS="$SAVE_CFLAGS"
+-		echo "$as_me:$LINENO: result: $has_option" >&5
+-echo "${ECHO_T}$has_option" >&6
+-		if test $has_option = yes; then
+-		  warning_flags="$warning_flags $option"
+-		fi
+-		unset has_option
+-		unset SAVE_CFLAGS
+-	done
+-	unset option
+-	if test "$enable_compile_warnings" = "error" ; then
+-	    warning_flags="$warning_flags -Werror"
+-	fi
+-	;;
+-    *)
+-	{ { echo "$as_me:$LINENO: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&5
+-echo "$as_me: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&2;}
+-   { (exit 1); exit 1; }; }
+-	;;
+-    esac
+-    CFLAGS="$realsave_CFLAGS"
+-    echo "$as_me:$LINENO: checking what warning flags to pass to the C compiler" >&5
+-echo $ECHO_N "checking what warning flags to pass to the C compiler... $ECHO_C" >&6
+-    echo "$as_me:$LINENO: result: $warning_flags" >&5
+-echo "${ECHO_T}$warning_flags" >&6
+-
+-    # Check whether --enable-iso-c or --disable-iso-c was given.
+-if test "${enable_iso_c+set}" = set; then
+-  enableval="$enable_iso_c"
+-
+-else
+-  enable_iso_c=no
+-fi;
+-
+-    echo "$as_me:$LINENO: checking what language compliance flags to pass to the C compiler" >&5
+-echo $ECHO_N "checking what language compliance flags to pass to the C compiler... $ECHO_C" >&6
+-    complCFLAGS=
+-    if test "x$enable_iso_c" != "xno"; then
+-	if test "x$GCC" = "xyes"; then
+-	case " $CFLAGS " in
+-	    *\ \	-ansi\ \	*) ;;
+-	    *) complCFLAGS="$complCFLAGS -ansi" ;;
+-	esac
+-	case " $CFLAGS " in
+-	    *\ \	-pedantic\ \	*) ;;
+-	    *) complCFLAGS="$complCFLAGS -pedantic" ;;
+-	esac
+-	fi
+-    fi
+-    echo "$as_me:$LINENO: result: $complCFLAGS" >&5
+-echo "${ECHO_T}$complCFLAGS" >&6
+-
+-    WARN_CFLAGS="$warning_flags $complCFLAGS"
+-
+-
+-CFLAGS="$CFLAGS $WARN_CFLAGS"
+ case $CFLAGS in
+ *-Wall*)
+ 	CFLAGS="$CFLAGS -Wno-sign-compare"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]